BEGIN
	jcl_dropsequence('JCL_ORG_SCHEME_ID');
END;
CREATE SEQUENCE JCL_ORG_SCHEME_ID INCREMENT BY 1 START WITH 1 nomaxvalue minvalue 1 NOCYCLE;
CREATE
OR REPLACE TRIGGER JCL_ORG_SCHEME_ID_TIGGER BEFORE INSERT ON JCL_ORG_SCHEME FOR EACH ROW
BEGIN
SELECT
    JCL_ORG_SCHEME_ID.nextval INTO:new.ID
FROM
    dual;
END;


BEGIN
	jcl_dropsequence('JCL_ORG_LEVEL_ID');
END;
CREATE SEQUENCE JCL_ORG_LEVEL_ID INCREMENT BY 1 START WITH 1 nomaxvalue minvalue 1 NOCYCLE;
CREATE
OR REPLACE TRIGGER JCL_ORG_LEVEL_ID_TIGGER BEFORE INSERT ON JCL_ORG_LEVEL FOR EACH ROW
BEGIN
SELECT
    JCL_ORG_LEVEL_ID.nextval INTO:new.ID
FROM
    dual;
END;


BEGIN
	jcl_dropsequence('JCL_ORG_GRADE_ID');
END;
CREATE SEQUENCE JCL_ORG_GRADE_ID INCREMENT BY 1 START WITH 1 nomaxvalue minvalue 1 NOCYCLE;
CREATE
OR REPLACE TRIGGER JCL_ORG_GRADE_ID_TIGGER BEFORE INSERT ON JCL_ORG_GRADE FOR EACH ROW
BEGIN
SELECT
    JCL_ORG_GRADE_ID.nextval INTO:new.ID
FROM
    dual;
END;



BEGIN
	jcl_dropsequence('JCL_ORG_SEQUENCE_ID');
END;
CREATE SEQUENCE JCL_ORG_SEQUENCE_ID INCREMENT BY 1 START WITH 1 nomaxvalue minvalue 1 NOCYCLE;
CREATE
OR REPLACE TRIGGER JCL_ORG_SEQUENCE_ID_TIGGER BEFORE INSERT ON JCL_ORG_SEQUENCE FOR EACH ROW
BEGIN
SELECT
    JCL_ORG_SEQUENCE_ID.nextval INTO:new.ID
FROM
    dual;
END;



BEGIN
	jcl_dropsequence('JCL_ORG_POST_ID');
END;
CREATE SEQUENCE JCL_ORG_POST_ID INCREMENT BY 1 START WITH 1 nomaxvalue minvalue 1 NOCYCLE;
CREATE
OR REPLACE TRIGGER JCL_ORG_POST_ID_TIGGER BEFORE INSERT ON JCL_ORG_POST FOR EACH ROW
BEGIN
SELECT
    JCL_ORG_POST_ID.nextval INTO:new.ID
FROM
    dual;
END;



BEGIN
	jcl_dropsequence('JCL_ORG_POST_INFO_ID');
END;
CREATE SEQUENCE JCL_ORG_POST_INFO_ID INCREMENT BY 1 START WITH 1 nomaxvalue minvalue 1 NOCYCLE;
CREATE
OR REPLACE TRIGGER JCL_ORG_POST_INFO_ID_TIGGER BEFORE INSERT ON JCL_ORG_POST_INFO FOR EACH ROW
BEGIN
SELECT
    JCL_ORG_POST_INFO_ID.nextval INTO:new.ID
FROM
    dual;
END;



BEGIN
	jcl_dropsequence('JCL_ORG_COMP_ID');
END;
CREATE SEQUENCE JCL_ORG_COMP_ID INCREMENT BY 1 START WITH 1 nomaxvalue minvalue 1 NOCYCLE;
CREATE
OR REPLACE TRIGGER JCL_ORG_COMP_ID_TIGGER BEFORE INSERT ON JCL_ORG_COMP FOR EACH ROW
BEGIN
SELECT
    JCL_ORG_COMP_ID.nextval INTO:new.ID
FROM
    dual;
END;



BEGIN
	jcl_dropsequence('JCL_FIELD_GROUP_ID');
END;
CREATE SEQUENCE JCL_FIELD_GROUP_ID INCREMENT BY 1 START WITH 1 nomaxvalue minvalue 1 NOCYCLE;
CREATE
OR REPLACE TRIGGER JCL_FIELD_GROUP_ID_TIGGER BEFORE INSERT ON JCL_FIELD_EXTENDGROUP FOR EACH ROW
BEGIN
SELECT
    JCL_FIELD_GROUP_ID.nextval INTO:new.ID
FROM
    dual;
END;



BEGIN
	jcl_dropsequence('JCL_FIELD_TITLE_ID');
END;
CREATE SEQUENCE JCL_FIELD_TITLE_ID INCREMENT BY 1 START WITH 1 nomaxvalue minvalue 1 NOCYCLE;
CREATE
OR REPLACE TRIGGER JCL_FIELD_TITLE_ID_TIGGER BEFORE INSERT ON JCL_FIELD_EXTENDTITLE FOR EACH ROW
BEGIN
SELECT
    JCL_FIELD_TITLE_ID.nextval INTO:new.ID
FROM
    dual;
END;



BEGIN
	jcl_dropsequence('JCL_FIELD_INFO_ID');
END;
CREATE SEQUENCE JCL_FIELD_INFO_ID INCREMENT BY 1 START WITH 1 nomaxvalue minvalue 1 NOCYCLE;
CREATE
OR REPLACE TRIGGER JCL_FIELD_INFO_ID_TIGGER BEFORE INSERT ON JCL_FIELD_EXTENDINFO FOR EACH ROW
BEGIN
SELECT
    JCL_FIELD_INFO_ID.nextval INTO:new.ID
FROM
    dual;
END;



BEGIN
	jcl_dropsequence('JCL_ORG_COMPEXT_DT1_ID');
END;
CREATE SEQUENCE JCL_ORG_COMPEXT_DT1_ID INCREMENT BY 1 START WITH 1 nomaxvalue minvalue 1 NOCYCLE;
CREATE
OR REPLACE TRIGGER JCL_ORG_COMPEXT_DT1_ID_TIGGER BEFORE INSERT ON JCL_ORG_COMPEXT_DT1 FOR EACH ROW
BEGIN
SELECT
    JCL_ORG_COMPEXT_DT1_ID.nextval INTO:new.ID
FROM
    dual;
END;



BEGIN
	jcl_dropsequence('JCL_ORG_DEPT_ID');
END;
CREATE SEQUENCE JCL_ORG_DEPT_ID INCREMENT BY 1 START WITH 1 nomaxvalue minvalue 1 NOCYCLE;
CREATE
OR REPLACE TRIGGER JCL_ORG_DEPT_ID_TIGGER BEFORE INSERT ON JCL_ORG_DEPT FOR EACH ROW
BEGIN
SELECT
    JCL_ORG_DEPT_ID.nextval INTO:new.ID
FROM
    dual;
END;



BEGIN
	jcl_dropsequence('JCL_ORG_DEPTEXT_DT1_ID');
END;
CREATE SEQUENCE JCL_ORG_DEPTEXT_DT1_ID INCREMENT BY 1 START WITH 1 nomaxvalue minvalue 1 NOCYCLE;
CREATE
OR REPLACE TRIGGER JCL_ORG_DEPTEXT_DT1_ID_TIGGER BEFORE INSERT ON JCL_ORG_DEPTEXT_DT1 FOR EACH ROW
BEGIN
SELECT
    JCL_ORG_DEPTEXT_DT1_ID.nextval INTO:new.ID
FROM
    dual;
END;



BEGIN
	jcl_dropsequence('JCL_ORG_JOB_ID');
END;
CREATE SEQUENCE JCL_ORG_JOB_ID INCREMENT BY 1 START WITH 1 nomaxvalue minvalue 1 NOCYCLE;
CREATE
OR REPLACE TRIGGER JCL_ORG_JOB_ID_TIGGER BEFORE INSERT ON JCL_ORG_JOB FOR EACH ROW
BEGIN
SELECT
    JCL_ORG_JOB_ID.nextval INTO:new.ID
FROM
    dual;
END;



BEGIN
	jcl_dropsequence('JCL_ORG_JOBDT_ID');
END;
CREATE SEQUENCE JCL_ORG_JOBDT_ID INCREMENT BY 1 START WITH 1 nomaxvalue minvalue 1 NOCYCLE;
CREATE
OR REPLACE TRIGGER JCL_ORG_JOBDT_ID_TIGGER BEFORE INSERT ON JCL_ORG_JOBDT FOR EACH ROW
BEGIN
SELECT
    JCL_ORG_JOBDT_ID.nextval INTO:new.ID
FROM
    dual;
END;



BEGIN
	jcl_dropsequence('JCL_ORG_JOBEXT_DT1_ID');
END;
CREATE SEQUENCE JCL_ORG_JOBEXT_DT1_ID INCREMENT BY 1 START WITH 1 nomaxvalue minvalue 1 NOCYCLE;
CREATE
OR REPLACE TRIGGER JCL_ORG_JOBEXT_DT1_ID_TIGGER BEFORE INSERT ON JCL_ORG_JOBEXT_DT1 FOR EACH ROW
BEGIN
SELECT
    JCL_ORG_JOBEXT_DT1_ID.nextval INTO:new.ID
FROM
    dual;
END;



BEGIN
	jcl_dropsequence('JCL_ORG_HRM_ID');
END;
CREATE SEQUENCE JCL_ORG_HRM_ID INCREMENT BY 1 START WITH 1 nomaxvalue minvalue 1 NOCYCLE;
CREATE
OR REPLACE TRIGGER JCL_ORG_HRM_ID_TIGGER BEFORE INSERT ON JCL_ORG_HRMRESOURCE FOR EACH ROW
BEGIN
SELECT
    JCL_ORG_HRM_ID.nextval INTO:new.ID
FROM
    dual;
END;



BEGIN
	jcl_dropsequence('JCL_ORG_HRMEXT_DT1_ID');
END;
CREATE SEQUENCE JCL_ORG_HRMEXT_DT1_ID INCREMENT BY 1 START WITH 1 nomaxvalue minvalue 1 NOCYCLE;
CREATE
OR REPLACE TRIGGER JCL_ORG_HRMEXT_DT1_ID_TIGGER BEFORE INSERT ON JCL_ORG_HRMRESOURCEEXT_DT1 FOR EACH ROW
BEGIN
SELECT
    JCL_ORG_HRMEXT_DT1_ID.nextval INTO:new.ID
FROM
    dual;
END;



BEGIN
	jcl_dropsequence('JCL_ORG_STAFFPLAN_ID');
END;
CREATE SEQUENCE JCL_ORG_STAFFPLAN_ID INCREMENT BY 1 START WITH 1 nomaxvalue minvalue 1 NOCYCLE;
CREATE
OR REPLACE TRIGGER JCL_ORG_STAFFPLAN_ID_TIGGER BEFORE INSERT ON JCL_ORG_STAFFPLAN FOR EACH ROW
BEGIN
SELECT
    JCL_ORG_STAFFPLAN_ID.nextval INTO:new.ID
FROM
    dual;
END;




BEGIN
	jcl_dropsequence('JCL_ORG_STAFF_ID');
END;
CREATE SEQUENCE JCL_ORG_STAFF_ID INCREMENT BY 1 START WITH 1 nomaxvalue minvalue 1 NOCYCLE;
CREATE
OR REPLACE TRIGGER JCL_ORG_STAFF_ID_TIGGER BEFORE INSERT ON JCL_ORG_STAFF FOR EACH ROW
BEGIN
SELECT
    JCL_ORG_STAFF_ID.nextval INTO:new.ID
FROM
    dual;
END;



BEGIN
	jcl_dropsequence('JCL_ORG_STAFFS_ID');
END;
CREATE SEQUENCE JCL_ORG_STAFFS_ID INCREMENT BY 1 START WITH 1 nomaxvalue minvalue 1 NOCYCLE;
CREATE
OR REPLACE TRIGGER JCL_ORG_STAFFS_ID_TIGGER BEFORE INSERT ON JCL_ORG_STAFFS FOR EACH ROW
BEGIN
SELECT
    JCL_ORG_STAFFS_ID.nextval INTO:new.ID
FROM
    dual;
END;



BEGIN
	jcl_dropsequence('JCL_ORG_MAP_FID');
END;
CREATE SEQUENCE JCL_ORG_MAP_FID INCREMENT BY 1 START WITH 1 nomaxvalue minvalue 1 NOCYCLE;
CREATE
OR REPLACE TRIGGER JCL_ORG_MAP_FID_TIGGER BEFORE INSERT ON JCL_ORG_MAP FOR EACH ROW
BEGIN
SELECT
    JCL_ORG_MAP_FID.nextval INTO:new.FID
FROM
    dual;
END;



BEGIN
	jcl_dropsequence('HR_LOG_ID');
END;
CREATE SEQUENCE HR_LOG_ID INCREMENT BY 1 START WITH 1 nomaxvalue minvalue 1 NOCYCLE;
CREATE
OR REPLACE TRIGGER HR_LOG_ID_TIGGER BEFORE INSERT ON HR_LOG FOR EACH ROW
BEGIN
SELECT
    HR_LOG_ID.nextval INTO:new.ID
FROM
    dual;
END;



BEGIN
	jcl_dropsequence('JCL_IMPORT_HISTORY_ID');
END;
CREATE SEQUENCE JCL_IMPORT_HISTORY_ID INCREMENT BY 1 START WITH 1 nomaxvalue minvalue 1 NOCYCLE;
CREATE
OR REPLACE TRIGGER JCL_IMPORT_HISTORY_ID_TIGGER BEFORE INSERT ON JCL_IMPORT_HISTORY FOR EACH ROW
BEGIN
SELECT
    JCL_IMPORT_HISTORY_ID.nextval INTO:new.ID
FROM
    dual;
END;



BEGIN
	jcl_dropsequence('JCL_IMPORT_DETAIL_ID');
END;
CREATE SEQUENCE JCL_IMPORT_DETAIL_ID INCREMENT BY 1 START WITH 1 nomaxvalue minvalue 1 NOCYCLE;
CREATE
OR REPLACE TRIGGER JCL_IMPORT_DETAIL_ID_TIGGER BEFORE INSERT ON JCL_IMPORT_HISTORY_DETAIL FOR EACH ROW
BEGIN
SELECT
    JCL_IMPORT_DETAIL_ID.nextval INTO:new.ID
FROM
    dual;
END;



BEGIN
	jcl_dropsequence('JCL_INFO_ID');
END;
CREATE SEQUENCE JCL_INFO_ID INCREMENT BY 1 START WITH 1 nomaxvalue minvalue 1 NOCYCLE;
CREATE
OR REPLACE TRIGGER JCL_INFO_ID_TIGGER BEFORE INSERT ON JCL_INFO FOR EACH ROW
BEGIN
SELECT
    JCL_INFO_ID.nextval INTO:new.ID
FROM
    dual;
END;